.product-previews {
  position: relative;
  margin: 4.5em 0;
}
.product-previews > li {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  opacity: 0;
}
.product-previews > li.selected {
  position: relative;
  opacity: 1;
}
.product-previews > li img {
  display: block;
  width: 100%;
  max-width: 750px;
  margin: 0 auto;
}
@media only screen and (min-width: 1024px) {
  .product-previews {
    margin: 0 0 2em;
  }
}
@media only screen and (min-width: 1480px) and (min-height: 850px) {
  .product-previews {
    margin-bottom: 4em;
  }
}
.product-customizer {
  text-align: center;
}
.product-customizer li {
  position: relative;
  display: inline-block;
  margin-right: 0.5em;
}
.product-customizer li:last-of-type {
  margin-right: 0;
}
.product-customizer li::before,
.product-customizer li::after {
  position: absolute;
  left: 50%;
  -webkit-transform: translateX(-50%) translateY(-5px);
  -ms-transform: translateX(-50%) translateY(-5px);
  transform: translateX(-50%) translateY(-5px);
  opacity: 0;
  visibility: hidden;
  -webkit-transition: opacity 0.2s, visibility 0.2s, -webkit-transform 0.2s;
  transition: opacity 0.2s, visibility 0.2s, -webkit-transform 0.2s;
  transition: opacity 0.2s, visibility 0.2s, transform 0.2s;
  transition: opacity 0.2s, visibility 0.2s, transform 0.2s,
    -webkit-transform 0.2s;
}
.product-customizer li::before {
  content: "";
  bottom: 100%;
  height: 0;
  border: 8px solid transparent;
  border-top-color: rgba(237, 237, 237, 0.8);
  border-top-width: 10px;
  border-top-width: 10px;
}
.product-customizer li::after {
  content: attr(data-content);
  background-color: rgba(237, 237, 237, 0.8);
  white-space: nowrap;
  padding: 0.7em 1.1em;
  border-radius: 2em;
  bottom: calc(100% + 18px);
}
.product-customizer li:hover::before,
.product-customizer li:hover::after {
  opacity: 1;
  visibility: visible;
  -webkit-transform: translateX(-50%);
  -ms-transform: translateX(-50%);
  transform: translateX(-50%);
}
.product-customizer a {
  display: inline-block;
  overflow: hidden;
  text-indent: 100%;
  color: transparent;
  white-space: nowrap;
  height: 30px;
  width: 30px;
  border-radius: 50%;
  border: 2px solid #fff;
  box-shadow: 0 0 0 2px #ededed;
  -webkit-transition: box-shadow 0.3s;
  transition: box-shadow 0.3s;
}
.product-customizer .selected a {
  box-shadow: 0 0 0 2px #ffb500;
}
@media only screen and (min-width: 768px) {
  .product-customizer li {
    margin-right: 1em;
  }
  .product-customizer a {
    height: 50px;
    width: 50px;
  }
}
[data-color="white"] {
  background-color: #fff;
}
[data-color="grey"] {
  background-color: #303539;
}
[data-color="orange"] {
  background-color: #cf5a16;
}
[data-color="perl"] {
  background-color: #d1d1d1;
}
